Update a brand
A successful request to this endpoint will mean you may be charged a brand resubmission fee
PATCH
/workspaces/{workspaceId}/tcr-brands/{brandId}
A brand cannot be updated if the status is failed. The brand must be resubmitted as new. When a brand is approved or has an approved vetting, then the fields 'companyName', 'entityType', 'ein' and 'einIssuingCountry' cannot be updated. When a brand is rejected all fields can be updated.
Corps de la requête
entityType
string
Legal entity type. It can't be updated when the brand is approved.
Possible values: PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, ``
firstName
string
First or given name. Applicable to entity type.
lastName
string
Last or Surname. Applicable to entity type.
displayName
string
Display or marketing name your brand.
companyName
string
Legal company name. This should match the legal company name used to register your EIN/Tax ID. It can't be updated when the brand is approved.
ein
string
Government assigned corporate tax ID. EIN is 9-digits in the U.S. It can't be updated when the brand is approved.
einIssuingCountry
string
The 2 letter ISO country of registration submitted with your EIN / Tax ID registration. It can't be updated when the brand is approved.
phone
string
Valid phone number in e.164 international format.
street
string
Street number and name.
city
string
City name
state
string
State. Must be a 2 letter state code for US states.
postalCode
string
Postal code. Must be a 5 digit zip code for the United States.
country
string
ISO 2 character country code.
email
string
Valid email address of brand support contact.
stockSymbol
string
Stock symbol. Required if updating stockExchange.
stockExchange
string
Stock exchange. Required for entityType PUBLIC.
Possible values: NONE, NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER, ``
website
string
Brand website URL.
vertical
string
Vertical or industry segment of the brand.
altBusinessId
string
Alternate business identifier such as DUNS, LEI, or GIIN
altBusinessIdType
string
Alternate business identifier type. Required if altBusinessId is provided.
Possible values: NONE, DUNS, GIIN, LEI, ``
businessContactEmail
string
Business contact email.
Corps de la réponse
id
string
The ID of the number.
tcrBrandId
string
The Campaign Registry brand ID.
organizationId
string
createdAt
string
Timestamp (UTC) when the brand was created.
updatedAt
string
Timestamp (UTC) when the brand was last updated.
status
string
Brand status
Possible values: FAILED, PENDING, REJECTED, APPROVED, DELETED, DRAFT
authPlusStatus
string
Brand Auth+ status
Possible values: NOT_APPLICABLE, NEEDS_CHARGE, NEEDS_TRIGGER, DONE
entityType
string
obligatoire
Legal entity type. It can't be updated when the brand is approved.
Possible values: PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, ``
firstName
string
First or given name. Applicable to entity type.
lastName
string
Last or Surname. Applicable to entity type.
displayName
string
obligatoire
Display or marketing name your brand.
companyName
string
obligatoire
Legal company name. This should match the legal company name used to register your EIN/Tax ID.
ein
string
obligatoire
Government assigned corporate tax ID. EIN is 9-digits in the U.S.
einIssuingCountry
string
obligatoire
The 2 letter ISO country of registration submitted with your EIN / Tax ID registration.
phone
string
obligatoire
Valid phone number in e.164 international format.
street
string
obligatoire
Street number and name.
city
string
obligatoire
City name
state
string
obligatoire
State. Must be a 2 letter state code for US states.
postalCode
string
obligatoire
Postal code. Must be a 5 digit zip code for the United States.
country
string
obligatoire
ISO 2 character country code.
email
string
obligatoire
Valid email address of brand support contact.
stockSymbol
string
Stock symbol.
stockExchange
string
Stock exchange. Required for entityType PUBLIC.
Possible values: NONE, NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER, ``
website
string
obligatoire
Brand website URL.
vertical
string
Vertical or industry segment of the brand.
altBusinessId
string
Alternate business identifier.
altBusinessIdType
string
Alternate business identifier type. Required if altBusinessId is provided.
Possible values: NONE, DUNS, GIIN, LEI, ``
businessContactEmail
string
Business contact email.
businessContactEmailVerifiedDate
string
Timestamp (UTC) when the brand businessContactEmail was verified.
rejection
object
Rejection details
Afficher les attributs enfants
rejection.description
string
obligatoire
Rejection description
rejection.code
string
Rejection code
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/tcr-brands/{brandId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'BrandUpdate object
| Field | Type | Description | Mandatory | Editing restrictions |
|---|---|---|---|---|
| entityType | entityType | Legal entity type | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| displayName | string | Display or marketing name your brand | Optional | |
| companyName | string | Legal company name. This should match the legal company name used to register your EIN/Tax ID | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| ein | string | Government assigned corporate tax ID. EIN is 9-digits in the U.S. | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| einIssuingCountry | string | The 2 letter ISO country of registration submitted with your EIN / Tax ID registration | Optional | Yes. If Brand has an Approved campaign or Vetting has been Approved |
| phone | string | Valid phone number in e.164 international format. | Optional | |
| street | string | Street number and name | Optional | |
| city | string | City name | Optional | |
| state | string | State. Must be a 2 letter state code for US states | Optional | |
| postalCode | string | Postal code. Must be a 5 digit zip code for the United States | Optional | |
| country | string | ISO 2 character country code | Optional | |
| string | Valid email address of brand support contact | Optional | ||
| stockSymbol | stockSymbol | Stock symbol | Optional. Required if updating stockExchange | |
| stockExchange | stockExchange | Stock exchange | Optional. Required if updating stockSymbol | |
| website | string | Brand website URL | Optional | |
| vertical | vertical | Vertical or industry segment of the brand | Optional |
BrandResponse object
| Type | Description |
|---|---|
| BrandReponse | BrandResponse object describes a submitted brand |